import { connect } from "react-redux";
import { AuthCheck } from "./../components/AuthCheck";
import { history } from "./../App";
import { actionFindTracks, actionFindUser } from "./../actions/index";
import { Button } from "react-bootstrap";
import { CMyDropzone } from "../components/Dropzone";

const Library = ({ auth, promise, actionTracks, actionUser }) => {
  return (
    <div className="SearchPage">
      {auth.token && history.location.pathname === "/library" ? (
        <div className="d-block mx-auto mt-2 container w-50">
          <h1>Ваша библиотека с музыкой, {promise?.user?.payload?.nick}</h1>
          <CMyDropzone />
          <Button onClick={() => actionTracks()}>Tracks</Button>
          <Button onClick={() => actionUser("61d45a16e9472933a6785f04")}>
            Me
          </Button>
        </div>
      ) : (
        <div className="d-block mx-auto mt-2 container w-50">
          <AuthCheck header="Ваша музыка" />
        </div>
      )}
    </div>
  );
};

export const CLibrary = connect(
  (state) => ({ auth: state.auth, promise: state.promise }),
  {
    actionTracks: actionFindTracks,
    actionUser: actionFindUser,
  }
)(Library);
